## GocText

GocText — Text.

## Properties

GOAnchorType | anchor | Read / Write
PangoAttrList * | attributes | Read / Write
gboolean | clip | Read / Write
double | clip-height | Read / Write
double | clip-width | Read / Write
double | rotation | Read / Write
char * | text | Read / Write
double | wrap-width | Read / Write
double | x | Read / Write
double | y | Read / Write

## Types and Values

| GocText
typedef | GocTextClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocStyledItem
                ╰── GocText

## Implemented Interfaces

GocText implements GOStyledObject.

## Description

GocText implements rich text drawing in the canvas.

## Functions

## Types and Values

### GocText

    typedef struct _GocText GocText;

### GocTextClass

    typedef GocStyledItemClass GocTextClass;

## Property Details

### The `“anchor”` property

      “anchor”                   GOAnchorType

The anchor point for the text.

Owner: GocText

Flags: Read / Write

Default value: GO_ANCHOR_CENTER

### The `“attributes”` property

      “attributes”               PangoAttrList *

The attributes list as a PangoAttrList.

Owner: GocText

Flags: Read / Write

### The `“clip”` property

      “clip”                     gboolean

Whether to clip or not.

Owner: GocText

Flags: Read / Write

Default value: FALSE

### The `“clip-height”` property

      “clip-height”              double

Clip height for the text.

Owner: GocText

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“clip-width”` property

      “clip-width”               double

Clip width for the text.

Owner: GocText

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“rotation”` property

      “rotation”                 double

The rotation around the anchor.

Owner: GocText

Flags: Read / Write

Allowed values: [0,6.28319]

Default value: 0

### The `“text”` property

      “text”                     char *

The text to display.

Owner: GocText

Flags: Read / Write

Default value: NULL

### The `“wrap-width”` property

      “wrap-width”               double

Wrap width for the text.

Owner: GocText

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“x”` property

      “x”                        double

The text horizontal position.

Owner: GocText

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        double

The text position.

Owner: GocText

Flags: Read / Write

Default value: 0